From 0aba86dafc093a315dfff2b4abfa9189905c11b9 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Fri, 12 Jul 2019 16:18:44 +0200
Subject: [PATCH] pick: update to 3.0.1.

---
 srcpkgs/pick/patches/musl.patch | 13 -------------
 srcpkgs/pick/template           | 14 ++++++++------
 2 files changed, 8 insertions(+), 19 deletions(-)
 delete mode 100644 srcpkgs/pick/patches/musl.patch

diff --git a/srcpkgs/pick/patches/musl.patch b/srcpkgs/pick/patches/musl.patch
deleted file mode 100644
index 19352db5991..00000000000
--- a/srcpkgs/pick/patches/musl.patch
+++ /dev/null
@@ -1,13 +0,0 @@
---- pick.c.orig	2017-09-21 16:36:29.000000000 +0000
-+++ pick.c	2017-09-21 16:36:43.917200522 +0000
-@@ -28,6 +28,10 @@
- 
- #include "compat.h"
- 
-+#ifndef CCEQ
-+	#define CCEQ(val, c)   ((c) == (val) && (val) != _POSIX_VDISABLE)
-+#endif
-+
- #define tty_putp(capability, fatal) do {				\
- 	if (tputs((capability), 1, tty_putc) == ERR && (fatal))		\
- 		errx(1, #capability ": unknown terminfo capability");	\
diff --git a/srcpkgs/pick/template b/srcpkgs/pick/template
index 7d75bc1c222..6fdbf79021b 100644
--- a/srcpkgs/pick/template
+++ b/srcpkgs/pick/template
@@ -1,19 +1,21 @@
 # Template file for 'pick'
 pkgname=pick
-version=2.0.2
+version=3.0.1
 revision=1
-build_style=gnu-configure
-hostmakedepends="automake pkg-config"
+build_style=configure
+make_check_target=test
+hostmakedepends="pkg-config"
 makedepends="ncurses-devel"
-short_desc="A fuzzy search tool for the command-line"
+checkdepends="ncurses-base"
+short_desc="Fuzzy search tool for the command-line"
 maintainer="Diogo Leal <diogo@diogoleal.com>"
 license="MIT"
 homepage="https://github.com/calleerlandsson/pick/"
 distfiles="https://github.com/calleerlandsson/pick/archive/v${version}.tar.gz"
-checksum=2a2e30eb7bd644c128f755ea17433dd0072e9c7c96da3d03de29c5922edd15f0
+checksum=32afb40581af84b884fb0786f7c8a9169cecbc2122a00b4835f8610a0e94c00d
 
 pre_configure() {
-	./autogen.sh
+	export PREFIX=/usr MANDIR=/usr/share/man
 }
 
 post_install() {
